Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
4 Views

OpenMP 5.0

I am trying to find out how to setup OpenMP 5 with the Intel Compiler version 18.0. Is this possible or do I have to wait for the next version of the compiler that will support OpenMP 5? Thanks, Aiman
0 Kudos
2 Replies
Highlighted
Valued Contributor I
4 Views

There is the 19.0 version

There is the 19.0 version which according to the Release Notes supports OpenMP 5.0:

https://software.intel.com/en-us/fortran-compiler-developer-guide-and-reference

0 Kudos
Highlighted
4 Views

The compiler supports many

The compiler supports many OpenMP* features, including most of OpenMP* Version TR4: Version 5.0. This version is not the same as Version 5 Release. I have checked the specs. The version 5 release has the extra features that are long awaited for, such as omp loop directives, automatic numa/affinity control etc, which this TR4 version does not have. I am taking this as a no and wait for the next version of the compiler.

0 Kudos